
Redmine - Defect #3981

Scramble passwords in database table "Repositories"

2009-10-07 07:27 - zhang huitao

Status: Closed Start date: 2008-10-15

Priority: High Due date:  

Assignee:  % Done: 30%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version:  

Description

If I do

SELECT r.login, r.password, r.url FROM repositories r

I can see all passwords and repository resources, though I mustn't to. Better to scramble passwords.

Related issues:

Is duplicate of Redmine - Feature #2034: Scramble passwords in database table... Closed 2008-10-15

History

#1 - 2009-10-07 12:33 - Anonymous

- Status changed from New to Resolved

- Assignee deleted (Azamat Hackimov)

This is a duplicate of #2034

#2 - 2009-10-10 12:34 - Jean-Philippe Lang

- Status changed from Resolved to Closed

- Resolution changed from Fixed to Duplicate
